#!/bin/ksh

# @(#) clear_bsc.sh 1.0.01 09/06/2002 11:30:00
# @(#) 

if (( $# < 3 )) 
then
    echo "\nUsage: clear_bsc.sh SYS_ID MSC_ID BSC_ID\n"
    exit;
elif [ "${DB_CONNECT+SET}" != "SET" ]
then
    echo "Error: DB_CONNECT not set"
    exit;
fi

echo
echo Clear System_ID=$1 MSC_ID=$2 BSC_ID=$3 on $DBUSER@$DBSID ?
echo [Enter] to continue, [Ctrl-C] to abort.
read


sqlplus -S /NOLOG <<EOF

  connect $DB_CONNECT
  PROMPT Inactivating BSC...
  create table instance_id_tmp as
         select instance_id from wmn_instance_context
          where fullkey like '$1-$2-$3';

  exec wm_Scenario.Set_Inactive( wm_Network.Get_Instance( wm_Network.Get_Context('NE Generic'), wm_Network.Get_Entity( 'BSC' ), '$1-$2-$3' ) );

  PROMPT Updating available dataset...
  DELETE FROM wm_Available_Data 
   WHERE Instance_ID in (select instance_id from instance_id_tmp); 

  PROMPT Deleting inactive descendents...
  exec wm_Client_Editor.Delete_Inactive_Descendents( wm_Network.Get_Instance( wm_Network.Get_Context('NE Generic'), wm_Network.Get_Entity( 'BSC' ), '$1-$2-$3' ) );

  PROMPT Updating wmn_instance...
  update wmn_instance set ACTIVE = 'y'
         where instance_id in
         (select instance_id from instance_id_tmp);
  drop table instance_id_tmp;
  EXIT
EOF

echo Done.

