#! /bin/ksh

# @(#) clear_msc.sh 1.2.0 01/11/08 17:18:15
# @(#) 

if (( $# < 2 )) 
then
    echo "\nUsage: clear_msc.sh SYS_ID MSC_ID"
    exit;
elif [ "${DB_CONNECT+SET}" != "SET" ]
then
    echo "Error: DB_CONNECT not set"
    exit;
fi

echo
echo Clear MSC_ID=$2 for System_ID=$1 on $DBUSER@$DBSID ?
echo [Enter] to continue, [Ctrl-C] to abort.
read


sqlplus -S /NOLOG <<EOF

  connect $DB_CONNECT
  PROMPT Inactivating MSC...
  create table instance_id_tmp as
         select instance_id from wmn_instance_context
          where fullkey like '$1-$2';
  exec wm_Scenario.Set_Inactive( wm_Network.Get_Instance( wm_Network.Get_Context('NE Generic'), wm_Network.Get_Entity( 'MSC' ), '$1-$2' ) );

  PROMPT Updating available dataset...
  DELETE FROM wm_Available_Data 
   WHERE Instance_ID in (select instance_id from instance_id_tmp);

  PROMPT Deleting inactive descendents...
  exec wm_Client_Editor.Delete_Inactive_Descendents( wm_Network.Get_Instance( wm_Network.Get_Context('NE Generic'), wm_Network.Get_Entity( 'MSC' ), '$1-$2' ) );

  PROMPT Updating wmn_instance...
  update wmn_instance set ACTIVE = 'y' 
         where instance_id in
         (select instance_id from instance_id_tmp);
  drop table instance_id_tmp; 
  EXIT
EOF

echo Done.

